Temu全托 - 交易结算
POST
/basicOpen/multiplatformFinance/temuFull/transaction/list查询Temu全托交易结算列表,对应系统【多平台财务】>【Temu全托-交易结算】数据
接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/basicOpen/multiplatformFinance/temuFull/transaction/list | HTTPS | POST | 1 |
请求参数
sidsarray<any>currencyCodestringstartDatestringendDatestringregionsarray<any>transactionTypesarray<any>searchField1stringsearchExactly1booleanproductSearchValuestringproductSearchArrarray<any>productNameListarray<any>mskuListarray<any>mskuIdListarray<any>searchField2stringsearchExactly2booleanorderSearchValuestringorderSearchArrarray<any>platformOrderNoListarray<any>afterSaleNumListarray<any>stockNoListarray<any>sortFieldstringsortTypestringoffsetintegerlengthinteger请求cURL示例
curl --location 'https://openapi.lingxing.com/basicOpen/multiplatformFinance/temuFull/transaction/list?access_token=value×tamp=value&sign=value&app_key=value' \
--header 'Content-Type: application/json' \
--data '{
"sids": [1, 2],
"currencyCode": "USD",
"startDate": "2026-01-01",
"endDate": "2026-01-31",
"offset": 0,
"length": 20
}'
返回结果
Json Object
codeinteger必填messagestring必填error_detailsarray<any>必填request_idstring必填response_timestring必填dataobject必填隐藏子属性
totalCountinteger必填listarray<object>必填隐藏子属性
storeNamestring必填regionstring必填paymentDatestring必填platformOrderNostring必填afterSaleNumstring必填stockNostring必填stockTypestring必填skuIdstring必填skuProductNostring必填productNamestring必填skustring必填quantityinteger必填discountAmountnumber必填shopCouponDiscountnumber必填declaredPriceDiscountnumber必填incomeAmountnumber必填transactionTypestring必填currencystring必填currencyIconstring必填totalSumobject必填隐藏子属性
quantityinteger必填discountAmountnumber必填shopCouponDiscountnumber必填declaredPriceDiscountnumber必填incomeAmountnumber必填totalCountinteger必填currencystring必填currencyIconstring必填totalinteger必填返回成功示例
{
"code": 0,
"message": "success",
"error_details": [],
"request_id": "a0d54debf93140f3b58d1ed81e8e3583",
"response_time": "2026-06-01 12:00:00",
"data": {
"totalCount": 1,
"list": [
{
"storeName": "MyStore",
"region": "US",
"paymentDate": "2026-01-15",
"platformOrderNo": "ORD123456",
"afterSaleNum": "AS001",
"stockNo": "STK001",
"stockType": "normal",
"skuId": "10001",
"skuProductNo": "PN001",
"productName": "商品A",
"sku": "SKU001",
"quantity": 10,
"discountAmount": 5.00,
"shopCouponDiscount": 3.00,
"declaredPriceDiscount": 2.00,
"transactionType": "sale",
"incomeAmount": 100.00,
"currency": "USD",
"currencyIcon": "$"
}
],
"totalSum": {
"quantity": 10,
"discountAmount": 5.00,
"shopCouponDiscount": 3.00,
"declaredPriceDiscount": 2.00,
"transactionType": "sale",
"incomeAmount": 100.00,
"totalCount": 1,
"currency": "USD",
"currencyIcon": "$"
}
},
"total": 1
}